<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use App\Katartikel;
use App\User;
use App\Os;

class artikelOsController extends Controller
{
    public function index()
    {
    $operating = Os::all();
    return view('backend.art-os.index', compact('operating'));
    }

    public function create(Request $request)
    {
        $request->request->add(['user_id' => auth()->user()->id]);
        return view('backend.art-os.tambah');
    }

      /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */

    public function store(Request $request)
    {
        $validator = Validator::make($request->all(), [
            
            
            'judul'             => 'required',
            'konten'            => 'required',
                      
          ]);
        if ($validator->fails()) {
            $respon = array('status'=>false, 'pesan' => $validator->messages());
        } else {
            if (Os::create($request->all())) {
                $respon = array('status'=>true, 'pesan' => ['msg' => 'Data berhasil disimpan']);
            } else {
                $respon = array('status'=>false, 'pesan' => ['msg' => 'Data gagal disimpan']);
            }
        }
        return response()->json($respon);
    }

}
